import React from "react";
import { Button } from "devextreme-react/button";
import { ButtonProps } from "./types";

function capitalize(text: string) {
  return text.charAt(0).toUpperCase() + text.slice(1);
}

const PsButton = (props: ButtonProps) => {
  const { text, onClick, type = "default", width = 120 ,mode="contained" } = props;
  return (
    <Button
      width={width}
      text={text}
      type={type}
      stylingMode={mode}
      onClick={onClick}
    />
  );
};

export default PsButton;
